<div class="product-list-filter">

    <!-- Search by name -->
    <z2h-input label="Buscar por nombre" [formControl]="searchByName" [prefixIcon]="'search'"></z2h-input>


    <!-- Select product or group -->
    <z2h-select label="Tipo de búsqueda" [formControl]="typeFilter">
        <mat-option value="products">Products</mat-option>
        <mat-option value="groups">Groups</mat-option>
    </z2h-select>

    <!-- Columns filter -->
    <z2h-select label="Columnas" [formControl]="columnsToDisplay" multiple>
        <ng-container *ngFor="let column of columnsData;">
            <mat-option [value]="column.id">
                <span>{{column.name}}</span>
            </mat-option>
        </ng-container>
    </z2h-select>


    <!-- Mercadona searcher -->
    <section class="mercadona">
        <mat-label>Buscador de Mercadona</mat-label>
        <!-- Search by name -->
        <mat-form-field appearance="fill" class="w-100 mat-form-field-light">
        
            <input (keyup.enter)="searchByKeyword()" matInput placeholder="Search product"
                [(ngModel)]="mercadonaKeyword" [matAutocomplete]="auto">
            <mat-icon matSuffix>search</mat-icon>
            <mat-autocomplete #auto="matAutocomplete" (optionSelected)="onOptionSelected($event)"
                (optionActivated)="onOptionActivated($event)">
                <mat-option *ngFor="let option of filteredOptions$ | async" [value]="option">
                    <img class="store-option-image" aria-hidden [src]="option.image" height="25">
                    <span class="store-option-name">{{option.name}}</span>
                </mat-option>
            </mat-autocomplete>
        </mat-form-field>


    </section>
</div>